%define _altdata_dir %_datadir/alterator

Name: alterator-apache2
Version: 1.2
Release: alt1

Packager: Aleksey Avdeev <solo@altlinux.ru>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for apache2
License: GPL
Group: System/Configuration/Other
Requires: gettext
Requires: apache2 >= 2.2.4-alt28
Requires: alterator >= 2.9
Requires: alterator-chkconfig
Requires: alterator-design-server

BuildPreReq: apache2-common >= 2.2.4-alt25
BuildPreReq: alterator >= 2.9-alt0.10
BuildPreReq: alterator-fbi >= 0.7-alt1
BuildPreReq: alterator-standalone

%description
alterator module for apache2

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_var/www/html/*
%_alterator_backend3dir/*
%_datadir/alterator/build/apache2.sh

%changelog
* Wed Jul 18 2007 Aleksey Avdeev <solo@altlinux.ru> 1.2-alt1
- Update alterator-apache2-*.tar to alterator-apache2-1.2.tar
  + config files summary using
  + fix write action

* Wed Jul 11 2007 Aleksey Avdeev <solo@altlinux.ru> 1.1-alt1
- Update alterator-apache2-*.tar to alterator-apache2-1.1.tar
  + add read action for sites/available/* objects
  + add delete action for */available/* objects
  + add write action for sites/available/* objects
  + create form for new vhost
  + create form for vhost configure
- Adding %%_datadir/alterator/build/apache2.sh

* Tue Jun 19 2007 Aleksey Avdeev <solo@altlinux.ru> 1.0-alt1
- Initial release
